com.h3c.of.lib.msg

## Enum MessageFuture.Result

- java.lang.Object
- - java.lang.Enum<MessageFuture.Result>
  - - com.h3c.of.lib.msg.MessageFuture.Result

- All Implemented Interfaces:
    Serializable, Comparable<MessageFuture.Result>
  Enclosing interface:
    MessageFuture

      public static enum MessageFuture.Result
      extends Enum<MessageFuture.Result>

  Denotes the different states that a message future can be in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCEPTION` The message request failed due to an exception; the cause is available via `MessageFuture.cause()`.
    `OFM_ERROR` The message request failed; the `error message` is available via `MessageFuture.reply()`.
    `SUCCESS` The message request was a success; the reply message is available via `MessageFuture.reply()`.
    `SUCCESS_NO_REPLY` The message request was a success; there is no associated reply.
    `UNSATISFIED` The message future has not yet been satisfied.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageFuture.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageFuture.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSATISFIED

          public static final MessageFuture.Result UNSATISFIED

      The message future has not yet been satisfied.

    - #### SUCCESS

          public static final MessageFuture.Result SUCCESS

      The message request was a success; the reply message is available via `MessageFuture.reply()`.

    - #### SUCCESS_NO_REPLY

          public static final MessageFuture.Result SUCCESS_NO_REPLY

      The message request was a success; there is no associated reply.

    - #### OFM_ERROR

          public static final MessageFuture.Result OFM_ERROR

      The message request failed; the `error message` is available via `MessageFuture.reply()`.

    - #### EXCEPTION

          public static final MessageFuture.Result EXCEPTION

      The message request failed due to an exception; the cause is available via `MessageFuture.cause()`.

  - ### Method Detail

    - #### values

          public static MessageFuture.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageFuture.Result c : MessageFuture.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageFuture.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.